# This is the CRAN name
%global packname HiddenMarkov
# This is the main package version
%global packver 1.7
# Note that some R packages do not use packrel
%global packrel 0

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          2%{?dist}
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
License:          GPLv2/GPLv3
URL:              http://cran.r-project.org/web/packages/HiddenMarkov/index.html
Group:            Applications/Engineering
Summary:          Hidden Markov Models
BuildRequires:    R-devel
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-core


%description
Contains functions for the analysis of Discrete Time Hidden Markov Models,
Markov Modulated GLMs and the Markov Modulated Poisson Process. It includes
functions for simulation, parameter estimation, and the Viterbi algorithm.
See the topic "HiddenMarkov" for an introduction to the package, and 
"Changes" for a list of recent changes. The algorithms are based of those
of Walter Zucchini.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%doc %{_libdir}/R/library/%{packname}/demo
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%changelog
* Sun Jun 16 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
